<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-map.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'pt_BR',
  ),
  'this' => 
  array (
    0 => 'ds-map.ksorted.php',
    1 => 'Ds\\Map::ksorted',
  ),
  'up' => 
  array (
    0 => 'class.ds-map.php',
    1 => 'Ds\\Map',
  ),
  'prev' => 
  array (
    0 => 'ds-map.ksort.php',
    1 => 'Ds\\Map::ksort',
  ),
  'next' => 
  array (
    0 => 'ds-map.last.php',
    1 => 'Ds\\Map::last',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'pt_BR',
    'path' => 'reference/ds/ds/map/ksorted.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-map.ksorted" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Map::ksorted</h1>
  <p class="verinfo">(No version information available, might only be in Git)</p><p class="refpurpose"><span class="refname">Ds\Map::ksorted</span> &mdash; <span class="dc-title">Retorna uma cópia ordenada por chave</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-map.ksorted-description">
  <h3 class="title">Descrição</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Ds\Map::ksorted</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$comparator</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="class.ds-map.php" class="type Ds\Map">Ds\Map</a></span></div>

  <p class="para rdfs-comment">
    Retorna uma cópia ordenada por chave, usando uma função de <code class="parameter">comparator</code> opcional.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-map.ksorted-parameters">
  <h3 class="title">Parâmetros</h3>
  <dl>
   
     <dt><code class="parameter">comparator</code></dt>
     <dd>
      <p class="para">
 A função de comparação deve retornar um inteiro menor que, igual ou maior que zero se o primeiro argumento for considerado respectivamente menor que, igual ou maior que o segundo.
</p>
<div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$a</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$b</code></span>): <span class="type"><a href="language.types.integer.php" class="type int">int</a></span></div>

<div class="caution"><strong class="caution">Cuidado</strong>
 <p class="para">
  Retornar valores <em>não inteiros</em> da função de
  comparação, como <span class="type"><a href="language.types.float.php" class="type float">float</a></span>, resultará em uma conversão interna
  do valor retornado da função callback para <span class="type"><a href="language.types.integer.php" class="type int">int</a></span>. Portanto, valores como
  <code class="literal">0.99</code> e <code class="literal">0.1</code> serão convertidos para o
  valor inteiro <code class="literal">0</code>, o que comparará esses valores como iguais.
 </p>
</div>
     </dd>
    
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-map.ksorted-returnvalues">
  <h3 class="title">Valor Retornado</h3>
  <p class="para">
    Retorna uma cópia do mapa, ordenada por chave.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-map.ksorted-examples">
  <h3 class="title">Exemplos</h3>
  <div class="example" id="example-4264">
   <p><strong>Exemplo #1 <span class="function"><strong>Ds\Map::ksorted()</strong></span> exemplo</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #DD0000">"b" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">2</span><span style="color: #007700">, </span><span style="color: #DD0000">"c" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #DD0000">"a" </span><span style="color: #007700">=&gt; </span><span style="color: #0000BB">1</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">ksorted</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá
algo semelhante a:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Map Object
Ds\Map Object
(
    [0] =&gt; Ds\Pair Object
        (
            [key] =&gt; a
            [value] =&gt; 1
        )

    [1] =&gt; Ds\Pair Object
        (
            [key] =&gt; b
            [value] =&gt; 2
        )

    [2] =&gt; Ds\Pair Object
        (
            [key] =&gt; c
            [value] =&gt; 3
        )

)</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4265">
   <p><strong>Exemplo #2 Exemplo de <span class="function"><strong>Ds\Map::ksorted()</strong></span> usando um comparador</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$map </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Map</span><span style="color: #007700">([</span><span style="color: #0000BB">1 </span><span style="color: #007700">=&gt; </span><span style="color: #DD0000">"x"</span><span style="color: #007700">, </span><span style="color: #0000BB">2 </span><span style="color: #007700">=&gt; </span><span style="color: #DD0000">"y"</span><span style="color: #007700">, </span><span style="color: #0000BB">0 </span><span style="color: #007700">=&gt; </span><span style="color: #DD0000">"z"</span><span style="color: #007700">]);<br /><br /></span><span style="color: #FF8000">// Reverse<br /></span><span style="color: #0000BB">$sorted </span><span style="color: #007700">= </span><span style="color: #0000BB">$map</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">ksorted</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$a</span><span style="color: #007700">, </span><span style="color: #0000BB">$b</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$b </span><span style="color: #007700">&lt;=&gt; </span><span style="color: #0000BB">$a</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sorted</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>O exemplo acima produzirá
algo semelhante a:</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Map Object
Ds\Map Object
(
    [0] =&gt; Ds\Pair Object
        (
            [key] =&gt; 2
            [value] =&gt; y
        )

    [1] =&gt; Ds\Pair Object
        (
            [key] =&gt; 1
            [value] =&gt; x
        )

    [2] =&gt; Ds\Pair Object
        (
            [key] =&gt; 0
            [value] =&gt; z
        )

)</pre>
</div>
   </div>
  </div>

 </div>



</div><?php manual_footer($setup); ?>